openni::Recorder Class Reference

`#include <OpenNI.h>`

## Public Member Functions

| Recorder ()
| ~Recorder ()
Status | attach (VideoStream &stream, bool allowLossyCompression=false)
Status | create (const char *fileName)
void | destroy ()
bool | isValid () const
Status | start ()
void | stop ()

## Detailed Description

The Recorder class is used to record streams to an ONI file.

After a recorder is instantiated, it must be initialized with a specific filename where the recording will be stored. The recorder is then attached to one or more streams. Once this is complete, the recorder can be told to start recording. The recorder will store every frame from every stream to the specified file. Later, this file can be used to initialize a file Device, and used to play back the same data that was recorded.

Opening a file device is done by passing its path as the uri to the Device::open() method.

See also
  PlaybackControl for options available to play a reorded file.

## Constructor & Destructor Documentation

## Recorder()

openni::Recorder::Recorder | ( |  | ) |

inline

Creates a recorder. The recorder is not valid, i.e. isValid() returns false. You must initialize the recorder before use with create().

## ~Recorder()

openni::Recorder::~Recorder | ( |  | ) |

inline

Destroys a recorder. This will also stop recording.

## Member Function Documentation

## attach()

Status openni::Recorder::attach | ( | VideoStream & | stream,
|  | bool | allowLossyCompression = false )

inline

Attaches a stream to the recorder. Note, this won't start recording, you should explicitly start it using start() method. As soon as the recording process has been started, no more streams can be attached to the recorder.

Parameters

  [in] | stream | The stream to be recorded.
  [in] | allowLossyCompression | [Optional] If this value is true, the recorder might use a lossy compression, which means that when the recording will be played-back, there might be small differences from the original frame. Default value is false.

## create()

Status openni::Recorder::create | ( | const char * | fileName | ) |

inline

Initializes a recorder. You can initialize the recorder only once. Attempts to intialize more than once will result in an error code being returned.

Initialization assigns the recorder to an output file that will be used for recording. Before use, the attach() function must also be used to assign input data to the Recorder.

Parameters

  [in] | fileName | The name of a file which will contain the recording.

Returns
  Status code which indicates success or failure of the operation.

## destroy()

void openni::Recorder::destroy | ( |  | ) |

inline

Destroys the recorder object.

## isValid()

bool openni::Recorder::isValid | ( |  | ) | const

inline

Verifies if the recorder is valid, i.e. if one can record with this recorder. A recorder object is not valid until the create() method is called.

Returns
  true if the recorder has been intialized, false otherwise.

## start()

Status openni::Recorder::start | ( |  | ) |

inline

Starts recording. Once this method is called, the recorder will take all subsequent frames from the attached streams and store them in the file. You may not attach additional streams once recording was started.

## stop()

void openni::Recorder::stop | ( |  | ) |

inline

Stops recording. You may use start() to resume the recording.

The documentation for this class was generated from the following file:

- OpenNI.h